<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class FieldConditionSetValuesUpdateEvent extends Event
{
    
    
    protected $fcs;
    protected $old_values;
    protected $new_values;
    protected $old_rules;
    protected $new_rules;
    public function __construct(\HDFieldsRule $_9f141dfab322e0cab3e83d380dfda14f, $_cb0dc1f9e28164cac5ca9e95c8a63134, $_b0a0a1e0d99d8571cf071d95d39d8017, $_bf4b599ba97e569860bd6ef9aea99c33, $_af3a0d50187ba59bd7cde5c4c5bb8520)
    {
        $this->fcs = $_9f141dfab322e0cab3e83d380dfda14f;
        $this->old_values = $_cb0dc1f9e28164cac5ca9e95c8a63134;
        $this->new_values = $_b0a0a1e0d99d8571cf071d95d39d8017;
        $this->old_rules = $_bf4b599ba97e569860bd6ef9aea99c33;
        $this->new_rules = $_af3a0d50187ba59bd7cde5c4c5bb8520;
    }
    
    
    
    
    public function getFieldConditionSet() : \HDFieldsRule
    {
        return $this->fcs;
    }
    
    
    
    
    public function getOldValues()
    {
        return $this->old_values;
    }
    
    
    
    
    public function getNewValues()
    {
        return $this->new_values;
    }
    
    
    
    
    public function getOldRules()
    {
        return $this->old_rules;
    }
    
    
    
    
    public function getNewRules()
    {
        return $this->new_rules;
    }
}